Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in isearch

From: Mattias Engdegård <[email-masked]>
Date: Wed, 12 Jul 2023 16:46:53 +0200

9 juli 2023 kl. 01.48 skrev Yuan Fu <[email-masked]>:

> Sorry for taking so long, I never decided against other people for important things in Emacs, and I certainly don’t want to make a wrong decision and regret it later, so I struggled a bit and kept procrastinating

No, I'm the one to apologise here: in no way did I intend to heap pressure on you.

The native tree-sitter query syntax is actually not using S-expressions at all -- the parsing is completely ad-hoc, and the query data is constructed directly during parsing.

But it looks very much like S-expressions and that's the problem. If the syntax had been less Lisp-like then we would have been able to choose our own S-expressions freely and all would be well, but now it's a bit too close so that it's really tempting to use something with almost identical printed appearance. I think you have done a fine job under the circumstances.

> Since I don’t use search symbol myself, I can’t grasp the importance of it. You apparently care about it enough to go this far, and I’m willing to take your word for it.

It probably isn't much of a problem in practice. I just thought that it would be a pity to forego the opportunity to deal with it from the start, but I definitely won't complain if you keep it the way it is.